---
title: "Singularity"
---

[Singularity](https://sylabs.io/docs/) is likely to be already installed on most large HPC system. 

```bash
git clone git@eicweb.phy.anl.gov/containers/eic_container.git
cd container 
```

## Installing the singularity container

## Using the container

## Tips 

In your `.bashrc` add  something like this:
```bash
if [ ! -e /environment ] ; then
  running_singularity=
else
  running_singularity="\#singularity"
fi
# ...
PS1='${debian_chroot:+($debian_chroot)}\[\033[01;32m\]\u@\h\[\033[00m\]:\[\033[01;34m\]\w\[\033[00m\]${running_singularity}\$ '
```
If you are running inside a singularity container your commandline prompt will now inform you:

<pre><font color="#8AE234"><b>user@host</b></font>:<font color="#729FCF"><b>~/stow/eic_container_0.9.13/lib</b></font>\#singularity$</pre>


